## lomiri-ui-extras 0.8.0~git20250922.edaf9ad

=== modules/CMakeLists.txt ===
add_subdirectory(Lomiri)
