=== modules/Lomiri/Components/Extras/qml5/Example/CMakeLists.txt ===
file(GLOB QML_FILES *.qml)
install(FILES ${QML_FILES} DESTINATION ${PLUGIN_DIR}/Example)
