=== debian/changelog ===
lomiri-ui-extras (0.8.0~git20250922.edaf9ad-1) experimental; urgency=medium

  * New upstream release preview / Git snapshot.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Sep 2025 15:17:45 +0200
